Packaging question

Peter (Ubuntu List) ubuntu at ourvirtualhome.com
Sat Sep 15 23:13:17 UTC 2007


Gerald Dachs wrote:
> Am Sat, 15 Sep 2007 15:55:43 -0400
> schrieb "Peter (Ubuntu List)" <ubuntu at ourvirtualhome.com>:
> 
>> The old version has a version as 1:2.1.1, my version is a 2.2 but
>> because of the 1: in front of the earlier version that one seems to be
>> preferred.
> 
> In rpm packages the Number before the ":" is the epoch, I am not
> sure how it is named in debian packages. But it seems to be the same,
> look here
> http://www.debian.org/doc/debian-policy/ch-controlfields.html in
> paragraph 5.6.12. You have to use the same
> epoch and a higher version or a higher epoch for you package, to get
> choosen. If you don't use the epoch, then it is 0 and is not shown.
> 
> Hope this helps
> Gerald
> 
I previous versions of the package, before I started packaging it for
myself, there was also a period where they used the 1: and then moved on
to something without the 1:

So there must be something that can enforce an update

-- 
Peter van der Does

GPG key: E77E8E98
IRC: Ganseki on irc.freenode.net
Wiki: https://wiki.ubuntu.com/PetervanderDoes
Launchpad: https://launchpad.net/~petervanderdoes

GetDeb Package Builder
http://www.getdeb.net

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 189 bytes
Desc: OpenPGP digital signature
URL: <https://lists.ubuntu.com/archives/ubuntu-users/attachments/20070915/f09e2a44/attachment.pgp>


More information about the ubuntu-users mailing list